Classes | UGens>Synth control

# Pause : UGen : AbstractFunction : Object

When triggered, pauses a node.
Source: EnvGen.sc
See also: Free

## Description

When triggered, pauses a node.

## Class Methods

### Pause.kr(gate, id)

#### Arguments:

gate | When gate is 0, node is paused, when 1 it runs.
id | Node to be paused.

### Inherited class methods

## Instance Methods

### Inherited instance methods

## Examples

    s.boot;

    SynthDef(\a, { Out.ar(0, SinOsc.ar(800, 0, 0.2)) }).add;

    SynthDef(\b, { |gate = 1| Out.ar(1, PinkNoise.ar(0.3)); Pause.kr(gate, 1001) }).add;

    s.sendMsg(\s_new, \a, 1001, 0, 0);

    s.sendMsg(\s_new, \b, 1002, 0, 0);

    s.sendMsg(\n_set, 1002, \gate, 0);

    s.sendMsg(\n_set, 1002, \gate, 1);

helpfile source: /Applications/SuperCollider.app/Contents/Resources/HelpSource/Classes/Pause.schelp
link::Classes/Pause::